filename='../dustfiles/dust_kmh_J.dat'

!p.multi=[0,1,1]
readcol,filename,thet,s11,s22,s33,s44,s12,s34,skipline=9

close,1
openr,1,filename
junk='xxxx'
readf,1,junk
readf,1,junk
readf,1,junk
readf,1,cext
readf,1,csca
readf,1,kap
readf,1,g
close,1

alb=csca/cext

thetr=thet*!pi/180.

sint=sin(thetr)

norm=0.5*int_tabulated(thetr,s11*sint)

set_plot,'x'
window,0,xsize=600,ysize=500,retain=2
plot,thet,s11/norm,title='g='+strcompress(string(g)),xtitle='theta',$
  ytitle='P(theta)'

mu=cos(thetr)
 
;cornette-shanks
p=1.5*(1-g^2)/(2+g^2)*(1+mu^2)/(1+g^2-2*g*mu)^1.5
;test
print,int_tabulated(thetr,p*sint)
 
print,'c-s'
print,'g,max(p),p(1),p(-1)',g,max(p),p(100),p(0)
oplot,thet,p,linestyle=1
 
;H-G
p2=(1-g^2)/(g^2+1-2*g*mu)^1.5
print,'h-g'
print,'g,max(p),p(1),p(-1)',g,max(p2),p2(100),p2(0)
oplot,thet,p2,linestyle=2
;test
print,int_tabulated(thetr,p2*sint)

;rayleigh
p3=0.75*(1.d0+mu^2)
oplot,thet,p3,linestyle=3
;test
print,'rayleigh'
print,int_tabulated(thetr,p3*sint)
 

x=[130,140]
ym=max(s11/norm)
ym1=ym*0.9
ym2=ym*0.85
ym3=ym*0.8
plots,x,[ym1,ym1]
plots,x,[ym2,ym2],linestyle=1
plots,x,[ym3,ym3],linestyle=2
xyouts,150,ym1,'dust file',charsize=1.2
xyouts,150,ym2,'cornette-shanks',charsize=1.2
xyouts,150,ym3,'henyey-greenstein',charsize=1.2

end
