pro imageplay,iwin,dir,str2,strconv,wgauss,wvoigt

set_plot,'x'
window,iwin,xsize=900,ysize=300,retain=2

!p.multi=[0,4,1]

;str2='87_K'
;dir='../mod04302_gs/'
file1=strcompress(dir+'eI_'+str2+'.dat')
file2=strcompress(dir+'eQ_'+str2+'.dat')
file3=strcompress(dir+'eU_'+str2+'.dat')
;file4=strcompress(dir+'eV_'+str2+'.dat')
nx=299
readdat,file1,nx,datai
readdat,file2,nx,dataq
readdat,file3,nx,datau
;readdat,file4,nx,datav

if strconv eq 'gauss' then begin
  makegauss,wgauss,psf
  datai=convol(datai,psf,/edge_truncate)
  dataq=convol(dataq,psf,/edge_truncate)
  datau=convol(datau,psf,/edge_truncate)
endif

if strconv eq 'voigt' then begin
;or convolve with voigt profile
  vwide=6.*wgauss
  psf = psf_voigt_2d(vwide,wvoigt,wgauss)
  psf=psf/total(psf)
  datai=convolve(datai,psf,FT_PSF=psf_FT)
  dataq=convolve(dataq,psf,FT_PSF=psf_FT)
  datau=convolve(datau,psf,FT_PSF=psf_FT)
endif

data2=datai
;data2(99,99)=0.
tvscl,data2^.25,0
a=where(datai eq 0,count)
if count gt 0 then datai(a)=1e10
q=dataq/datai
q1=bytscl(q,min=-1.,max=1.)
tv,q1,1
u=datau/datai
u1=bytscl(u,min=-1.,max=1.)
tv,u1,2
;v=datav/datai
;v1=bytscl(v,min=-.3,max=.3)
;tv,v1,3

end


